<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) INRIA
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="tk_getdir">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>tk_getdir</refname>
    <refpurpose> dialog to get a directory path</refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>
    path=tk_getdir([Title="string"])
    path=tk_getdir(startdir,[Title="string"])
    path=tk_getdir(startdir,windowtitle)
    </synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>startdir</term>
        <listitem>
          <para>a character string which gives the initial directory used for directory search. By default tk_getdir uses the previously selected directory.</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>path</term>
        <listitem>
          <para>is the user selected file path if user answers "Ok" or the " " string if user answers "Cancel"</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>Title="string"</term>
        <listitem>
          <para>Optional argument which gives the title for the tk_getdir window. <literal>Warning</literal>: Use the new variable
          <literal>Title</literal> instead of the old variable <literal>title</literal>.</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>WARNING: this function is deprecated (see uigetdir as a replacement of tk_getdir). It will be removed in Scilab 5.3.</para>

    <para>Creates a dialog window for file selection.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
tk_getdir()
tk_getdir("SCI/modules/")
tk_getdir(Title="Choose a directory name")
 ]]></programlisting>
  </refsection>
  <refsection>
    <title>See Also</title>
    <simplelist type="inline">
      <member>
        <link linkend="uigetdir">uigetdir</link>
      </member>
      <member>
        <link linkend="uigetfile">uigetfile</link>
      </member>
      <member>
        <link linkend="file">file</link>
      </member>
      <member>
        <link linkend="fileinfo">fileinfo</link>
      </member>
    </simplelist>
  </refsection>
</refentry>
